#include <iostream>
#include <vector>
#include <unordered_map>
#include <algorithm>
#pragma optimize("O1")

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    int n;
    cin >> n;

    vector<int> v;

    bool only12 = true;
    bool only123 = true;

    for (int i = 0; i < n; i++) {
        int a;
        cin >> a;

        if (a > 2) only12 = false;
        if (a > 3) only123 = false;

        v.push_back(a);
    }

    if (only12) {
        for (auto i : v) {
            cout << i << " ";
        }

        return 0;
    }

    if (only123) {
        for (auto i : v) {
            if (i == 1) {
                cout << 1 << " ";
            }
            else {
                cout << 2 << " ";
            }
        }

        return 0;
    }

    unordered_map<int, int> m;
    vector<int> tmp = v;
    sort(tmp.begin(), tmp.end());
    int was = 1;
    for (auto i : tmp) {
        m[i] = was;
        was++;
        if (was >= 3) {
            was %= 3;
            was++;
        }
    }

    for (auto i : v) {
        cout << m[i] << " ";
    }

    return 0;
}