#include <iostream>
#include <vector>

#pragma optimize("O1");

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cout.tie(0);
    cin.tie(0);
    int n;
    cin >> n;

    vector<int> vec(n);

    for (int i = 0; i < n; i++) {
        cin >> vec[i];
    }

    long long cnt = 0;

    for (int i = 0; i < n; i++) {
        for (int j = i; j < n; j++) {
            bool can_do = true;
            for (int k = i; k <= j; k++) {
                for (int w = k - 1; w >= i; k--) {
                    if (vec[w] >= vec[w + 1]) {
                        can_do = false;
                        break;
                    }
                }

                for (int w = k + 1; w <= j; w++) {
                    if (vec[w] >= vec[w - 1]) {
                        can_do = false;
                        break;
                    }
                }
            }

            if (can_do) {
                cnt++;
            }
        }
    }

    cout << cnt;

    return 0;
}
