#include <iostream>
#include <vector>
#include <unordered_map>

#pragma optimize("O1");

using namespace std;

int main() {
#define int long long
    ios_base::sync_with_stdio(false);
    cout.tie(0);
    cin.tie(0);
    int n;
    cin >> n;
    unordered_map<int, int> right_precalc;

    vector<int> vec(n);


    for (int i = 0; i < n; i++) {
        cin >> vec[i];
    }

    int tmp_before = 1;

    for (int i = n - 1; i >= 0; i--) {
        if (i == n - 1) {
            right_precalc[i] = 1;
            continue;
        }

        if (vec[i] > vec[i + 1]) {
            right_precalc[i] = ++tmp_before;
        } else {
            tmp_before = 1;
            right_precalc[i] = tmp_before;
        }
    }

    long long cnt = 0;
    int before_left = 1;

    for (int i = 0; i < n; i++) {
        int max_left = 1;
        int max_right = right_precalc[i];

        if (i != 0) {
            if (vec[i] > vec[i - 1]) {
                max_left += before_left;
                before_left++;
            } else {
                max_left = 1;
                before_left = 1;
            }
        }

        cnt += max_left * max_right;
    }

    cout << cnt;

    return 0;
}
