#include <iostream>
#include <vector>

#pragma optimize("O1");

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cout.tie(0);
    cin.tie(0);
    int n;
    cin >> n;

    vector<int> vec(n);

    for (int i = 0; i < n; i++) {
        cin >> vec[i];
    }

    long long cnt = 0;

    for (int i = 0; i < n; i++) {
        int max_left = 1;
        int max_right = 1;

        for (int j = i - 1; j >= 0; j--) {
            if (vec[j] >= vec[j + 1]) {
                break;
            } else {
                max_left++;
            }
        }

        for (int j = i + 1; j < n; j++) {
            if (vec[j] >= vec[j - 1]) {
                break;
            } else {
                max_right++;
            }
        }

        cnt += max_left * max_right;
    }

    cout << cnt;

    return 0;
}
