#include <iostream>
#include <vector>

#pragma optimize("O1");

using namespace std;

int main() {
    int n;
    scanf("%d", &n);

    vector<int> vec(n);

    for (int i = 0; i < n; i++) {
        scanf("%d", &vec[i]);
    }

    long long cnt = 0;
    int before_left = 1;

    for (int i = 0; i < n; i++) {
        int max_left = 1;
        int max_right = 1;

        if (i != 0) {
            if (vec[i] > vec[i - 1]) {
                max_left += before_left;
                before_left++;
            } else {
                max_left = 1;
                before_left = 1;
            }
        }

        for (int j = i + 1; j < n; j++) {
            if (vec[j] >= vec[j - 1]) {
                break;
            } else {
                max_right++;
            }
        }

        cnt += max_left * max_right;
    }

    printf("%lld", cnt);

    return 0;
}
