#include <iostream>
#include <vector>
#pragma optimize("O1")

using namespace std;

typedef long long ll;

ll bin_pow(ll num, ll thing) {
    if (thing == 0) {return 1ll;}
    if (thing == 1) {return num;}

    if (thing % 2 == 0) {
        ll res = bin_pow(num, thing / 2);
        return res * res;
    } else {
        return bin_pow(num, thing - 1) * num;
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cout.tie(0);
    cin.tie(0);
    ll n, m;
    cin >> n >> m;

    vector<ll> a(n);
    vector<ll> t(n);

    for (ll i = 0; i < n; i++) {
        cin >> a[i];
    }

    for (ll i = 0; i < n; i++) {
        cin >> t[i];
    }

    ll l = 0;
    ll r = 100;

    while (l <= r) {
        ll mid = (l + r) / 2;
        ll cnt = 0;

        for (int j = 0; j < n; j++) {

            if (mid - a[j] - t[j] > 0) {
                cnt += bin_pow(2, mid - a[j] - t[j] + 1);
                continue;
            }

            if (mid - a[j] - t[j] == 0) {
                cnt += 2;
                continue;
            }
            if (a[j] <= mid) {
                cnt++;
            }
        }

        if (cnt == m) {
            cout << mid;
            return 0;
        } else if (cnt < m) {
            l = mid + 1;
        } else {
            r = mid - 1;
        }

    }

   cout << -1;

    return 0;
}
